import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';
//importing the modules from topojson

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
//applying contant values

svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));
//applying svg graphics

json('https://gist.githubusercontent.com/AkrutiKhurana2103/df042ea056475dac3c77f349d60f2a96/raw/57fd884a188d24f4179efbcebba36343deb4e76e/world_map.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});
//jason file and other graphics








